#ifndef UNICODE
#define UNICODE
#endif

#pragma comment(lib, "netapi32.lib")

#include <stdio.h>
#include <windows.h> 
#include <lm.h>

int wmain(int argc, wchar_t *argv[])
{
   DWORD dwLevel = 0;
   GROUP_USERS_INFO_0 gi;
   NET_API_STATUS nStatus;

   if (argc != 4)
   {
      fwprintf_s(stderr, L"Usage: %s \\\\ServerName UserName GroupName\n", argv[0]);
	  wprintf(L"Example: %s \\\\BigGuySer \"Mike Spoon\" Administrators\n", argv[0]);
      exit(1);
   }

   // Fill in the GROUP_USERS_INFO_0 structure member.
   gi.grui0_name = argv[3];

   // Call the NetUserSetGroups() function; specify level 0.
   nStatus = NetUserSetGroups(argv[1],argv[2],dwLevel,(LPBYTE)&gi,1);

   // If the call succeeds, inform the user.
   if (nStatus == NERR_Success)
   {
	   wprintf(L"NetUserSetGroups() looks pretty fine!\n");
	   fwprintf_s(stderr, L"Group membership has been successful for %s\n", argv[2]);
   }
   // Otherwise, print the system error.
   else
   {
	   wprintf(L"NetUserSetGroups() failed miserabily!\n");
	   fwprintf_s(stderr, L"A system error has occurred: %d\n", nStatus);
   }

   return 0;
}
